Subject: bug#18939: 24.4; middle-click sometimes pastes data other than the PRIMARY selection

From: Vincent Lefevre <[email-masked]>
Date: Sat, 21 Mar 2015 20:35:28 +0100

On 2015-03-21 09:42:32 -0400, Stefan Monnier wrote:
> > This occurs very often, and I've finally managed to find a way to
> > reproduce the bug:
> 
> > 1. Open a file containing a line, say "foo", with "emacs -Q".
> 
> > 2. When the cursor is at the beginning, type C-k.
> 
> > 3. Select text in some other window.
                           ^^^^^

> > 4. Left-click in the initial Emacs window.
> 
> > 5. Middle-click in the initial Emacs window.
> 
> > Instead of pasting the selected text, this pastes what was cut
> > with C-k.
> 
> I can't reproduce it here.
> I did the following:
> 
> % emacs24 -Q    ; That's Debian's Emacs-24.4
> M-< C-k
> C-x 5 b *Messages*
> drag-mouse-1               [ in *Messages*, to select "information" ]

It step 3, it must be another window (e.g. xterm, or even some
other Emacs window at least if it is not the same process).

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)